<script setup>
const emit = defineEmits(["onClick"])
const props = defineProps(["text"])
</script>

<template>
  <button @click="$emit('onClick')">
    {{props.text}}
  </button>
</template>

<style scoped>
  button {
    padding: 1em;
    font-size: 24px;

    background-color: #2c3e50;
    border: none;
    border-radius: 2em;
    cursor: pointer;
  }
</style>